# Method: getRecaptchaParams

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getRecaptchaParams#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getRecaptchaParams#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getRecaptchaParams#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getRecaptchaParams#body.GetRecaptchaParamResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getRecaptchaParams#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getRecaptchaParams#try-it)

Gets parameters needed for generating a reCAPTCHA challenge.

### HTTP request

`GET https://identitytoolkit.googleapis.com/v1/recaptchaParams`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

Response message for v1.getRecaptchaParams.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "recaptchaStoken": string, "recaptchaSiteKey": string, "producerProjectNumber": string } ``` |

| Fields ||
|---|---|
| `kind (deprecated)` | `string` > [!WARNING] > This item is deprecated! |
| `recaptchaStoken (deprecated)` | `string` > [!WARNING] > This item is deprecated! |
| `recaptchaSiteKey` | `string` The reCAPTCHA v2 site key used to invoke the reCAPTCHA service. Always present. |
| `producerProjectNumber` | `string` The producer project number used to generate PIA tokens |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).